Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/admin/templateedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: templateedit.php 8526 2001-11-19 12:48:51Z jhe $
5 //
6 // Created on: <18-Apr-2001 17:15:33 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezbulkmail/classes/ezbulkmailtemplate.php" );
28
29 // include_once( "ezuser/classes/ezuser.php" );
30 // include_once( "classes/ezhttptool.php" );
31 // include_once( "classes/eztemplate.php" );
32 // include_once( "classes/INIFile.php" );
33
34 if ( isset( $Cancel ) ) // cancel pressed, redirect to templatelist page...
35 {
36 eZHTTPTool::header( "Location: /bulkmail/templatelist/" );
37 exit();
38 }
39
40 if ( isset( $Ok ) ) // cancel pressed, redirect to templatelist page...
41 {
42 if ( $TemplateID == 0 )
43 $template = new eZBulkMailTemplate();
44 else
45 $template = new eZBulkMailTemplate( $TemplateID );
46
47 $template->setName( $Name );
48 $template->setDescription( $Description );
49 $template->setHeader( $Header );
50 $template->setFooter( $Footer );
51
52 $template->store();
53 eZHTTPTool::header( "Location: /bulkmail/templatelist/" );
54 exit();
55 }
56
57
58 $t = new eZTemplate( "kernel/ezbulkmail/admin/" . $ini->variable( "eZBulkMailMain", "AdminTemplateDir" ),
59 "kernel/ezbulkmail/admin/intl", $Language, "templateedit.php" );
60 $t->set_file( "template_edit_tpl", "templateedit.tpl" );
61
62 $t->setAllStrings();
63 $t->set_var( "site_style", $SiteDesign );
64
65 $t->set_var( "template_name", "" );
66 $t->set_var( "description", "" );
67 $t->set_var( "template_id", $TemplateID );
68 $t->set_var( "template_footer", "" );
69 $t->set_var( "template_header", "" );
70 if ( $TemplateID != 0 )
71 {
72 $template = new eZBulkMailTemplate( $TemplateID );
73 if ( is_object( $template ) )
74 {
75 $t->set_var( "template_name", $template->name() );
76 $t->set_var( "description", $template->description() );
77 $t->set_var( "template_header", $template->header() );
78 $t->set_var( "template_footer", $template->footer() );
79 }
80 }
81
82 $t->pparse( "output", "template_edit_tpl" );
83
84 ?>
$Description
$Description
Definition: articlelistrss.php:38
eZBulkMailTemplate
Definition: ezbulkmailtemplate.php:40
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$t
if(isset( $Cancel)) if(isset( $Ok)) $t
Definition: ezbulkmail/admin/templateedit.php:58
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
exit
exit
Definition: folder.php:81
$Name
$Name
Definition: polledit.php:250
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.